<?php
/**
 * Template part for displaying posts.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Grimm
 */
?>

<?php
	$blog_layout_type    = get_theme_mod( 'blog_layout_type', grimm_theme()->customizer->get_default( 'blog_layout_type' ) );
	$blog_featured_image = get_theme_mod( 'blog_featured_image', grimm_theme()->customizer->get_default( 'blog_featured_image' ) );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item card' ); ?>>

	<?php if ( 'default' == $blog_layout_type && 'small' !== $blog_featured_image ) : ?>
		<div class="posts-list__left-col"><?php
			grimm_get_template_part( 'template-parts/post/post-meta/content-meta-date' );

			if ( 'small' !== $blog_featured_image ) {
				grimm_share_buttons( 'loop' );
			}
		?></div><!-- .posts-list__left-col -->
	<?php endif; ?>

	<div class="posts-list__right-col">
		<?php
			if ( 'default' !== $blog_layout_type || grimm_check_for_small_image_default_listing() ) :
				grimm_get_template_part( 'template-parts/post/post-meta/content-meta-date' );
			endif;
		?>

		<figure class="post-thumbnail"><?php
			grimm_get_template_part( 'template-parts/post/post-components/post-image' );
			grimm_get_template_part( 'template-parts/post/post-components/post-sticky' );
		?></figure><!-- .post-thumbnail -->

		<div class="posts-list__item-content">

			<header class="entry-header"><?php
				grimm_get_template_part( 'template-parts/post/post-meta/content-meta-author' );
				grimm_get_template_part( 'template-parts/post/post-meta/content-meta-categories' );
				grimm_get_template_part( 'template-parts/post/post-components/post-title' );
			?></header><!-- .entry-header -->

			<div class="entry-content"><?php
				grimm_get_template_part( 'template-parts/post/post-components/post-content' );
			?></div><!-- .entry-content -->

			<footer class="entry-footer">
				<div class="entry-meta-container"><?php
					grimm_get_template_part( 'template-parts/post/post-meta/content-meta-tags' );
					grimm_get_template_part( 'template-parts/post/post-meta/content-meta-comments' );
				?></div><!-- .entry-meta-container -->

				<div class="entry-footer-bottom"><?php
					grimm_get_template_part( 'template-parts/post/post-components/post-button' );

					if ( 'default' !== $blog_layout_type || grimm_check_for_small_image_default_listing() ) :
						grimm_share_buttons( 'loop' );
					endif;
				?></div><!-- .entry-footer-bottom -->
			</footer><!-- .entry-footer -->
		</div><!-- .posts-list__item-content -->
	</div><!-- .posts-list__right-col -->

</article><!-- #post-## -->
